Attribute VB_Name = "Module24"
Option Explicit

Sub MaakInhoudsopgave()
'Deze macro maakt een nieuwe pagina aan
    'en maakt een lijst van hyperlinks aan van alle pagina's.

'Declareer variabelen
Dim i As Long

'Schakel schermupdate uit (dit voorkomt het flikkeren van het scherm).
Application.ScreenUpdating = False

'Bij fout ga naar volgende.
On Error Resume Next

'Schakel foutmeldingen uit.
    '(we schakelen de foutmelding uit om te voorkomen
        'dat we een foutmelding krijgen indien er geen pagina met de naam "Inhoudsopgave" bestaat).
Application.DisplayAlerts = False

'Verwijder pagina Inhoudsopgave.
Sheets("Inhoudsopgave").Delete

'Schakel foutmeldingen in.
Application.DisplayAlerts = True

'Als er een fout optreed ga terug naar nul.
On Error GoTo 0

'Plaats een nieuwe pagina voor blad 1.
Worksheets.Add Before:=Worksheets(1)

'Hernoem de nieuwe pagina naar "Inhoudsopgave".
ActiveSheet.Name = "Inhoudsopgave"

'Plaats de waarde "Inhoudsopgave" in cel A1.
Cells(1, 1).Value = ("Inhoudsopgave")

'-------------------------------------------------------------------------------
'Start bij pagina 2 en herhaal bewerking tot en met laatste pagina.
For i = 2 To Sheets.Count

'Selecteer de eerstvolgende lege cel van kolom A
ActiveSheet.Cells(i, 1).Select

'Plaats een hyperlink met de naam van het blad.
ActiveSheet.Hyperlinks.Add _
Anchor:=ActiveSheet.Cells(i, 1), _
Address:="", _
SubAddress:="'" & Sheets(i).Name & "'!A1", _
TextToDisplay:=Sheets(i).Name

'Volgende pagina.
Next i
'-------------------------------------------------------------------------------

'Selecteer kolom A en centreer de tekst.
Columns(1).HorizontalAlignment = xlCenter

'Selecteer rij 2.
Rows(2).Select

'Blokkeer rij.
ActiveWindow.FreezePanes = True

'Selecteer cel A1.
Cells(1, 1).Select

'Pas de breedte van kolom A aan aan de tekst.
Columns(1).AutoFit

'Schakel schermupdate terug in.
Application.ScreenUpdating = True


'Einde code
End Sub


